import { useResource } from "@/modules/resource";
import { Button } from "ant-design-vue";
import { defineComponent } from "vue";

export default defineComponent({
  setup() {
    const resource = useResource();

    return () => (
      <div class="flex items-center justify-between">
        <h3 class="text-22px">我的推广</h3>
        <Button type="primary" onClick={resource.actions.createPromotion}>
          新增+
        </Button>
      </div>
    );
  },
});
